Download it now!
Bug 100479 - UI: "Search all" on larger document with certain fonts makes LO unresponsive (freeze) for minutes
Summary: UI: "Search all" on larger document with certain fonts makes LO unresponsive ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf
Depends on:
Blocks:
 
Reported: 2016-06-19 13:02 UTC by Matthias Basler
Modified: 2019-12-03 13:50 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
200 page LoremIpsum document with embedded font (9.39 MB, application/vnd.oasis.opendocument.text)
2016-06-19 13:05 UTC, Matthias Basler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Basler 2016-06-19 13:02:08 UTC
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:47.0) Gecko/20100101 Firefox/47.0
Build Identifier: Version: 5.1.3.2 Build-ID: 644e4637d1d8544fd9f56425bd6cec110e49301b

Using the function "Alle suchen" (engl. "search all" or "find all") on a larger document, e.g. 150+ pages, with certain fonts can make LibreOffice freeze for minutes without the possibility to cancel the process in case the button was inadvertently pressed.

From my user'S POV the issue seems to be not the search itself, but the need to subsequently highlight all found search results, which, depending on the font, can make LibreOffice unresponsive.

Even if LibreOffice is not be responsible for the long rendering time, it should show a better behaviour in this case.

Reproducible: Sometimes

Steps to Reproduce:
1. Create 200p Lorem ipsum document (or open sample)
2. Install "UnifrakturMaguntia" font if necessary (Open Source,
   http://unifraktur.sourceforge.net/de/maguntia.html)
   I tried to embedd the font in the ODT, so this might not be necessary.
3. Set default paragraph style to this font if not yet done.
4. Type Ctrl+F
5. Enter "t " as search and then click on "Search all".
-> Progress bar finishes quickly, but subsequently LO doesn't react any more.

Notes:
This is 100% reproducible in my document (175 pages of text, partly in Gothic font ("UnifrakturMaguntia"), partly in "normal" Times font. No images, Nothing fancy except for plenty of long "s" as usual in old German texts. 
Searching for, lets say, "s " or "t " freezes the application for 2:45 minutes!

With a plain "Lorem Ipsum" of 200 pages in Times New Roman, searching only takes about 10s (the second part of which LO is not responding too.)

However, if I convert the text to "UnifrakturMaguntia" font, then marking the found letters suddenly takes five minutes too.
Actual Results:  
After searching the document LO freezes for minutes

Expected Results:  
LO remains responsive, shows a progess/busy indicator and allows to cancel the long running operation.




Reset User Profile?No
Comment 1 Matthias Basler 2016-06-19 13:05:35 UTC
Created attachment 125732 [details]
200 page LoremIpsum document with embedded font
Comment 2 Marco Filippozzi 2016-06-20 07:40:32 UTC
Replicated on:

Version: 5.3.0.0.alpha0+
Build ID: e1c435ba88c8ec14145b59398a8a46056f277d4c
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-06-19_23:57:40
Locale: it-IT (it_IT.UTF-8)

Version: 5.2.0.0.beta2
Build ID: ae12e6f168ba39f137fc110174a37c482ce68fa4
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default;
Locale: it-IT (it_IT.UTF-8)


OS:    openSUSE Leap 42.1 (x86_64)
Comment 3 QA Administrators 2017-09-01 11:19:23 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 13:50:04 UTC
Dear Matthias Basler,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug